Bug 1144950 - WIFI no longer working after update
WIFI no longer working after update
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: GNOME
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-08 21:47 UTC by Mircea Kitsune
Modified: 2021-11-01 09:07 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
songchuan.kang: needinfo? (sonichedgehog_hyperblast00)


Attachments
ip address (631 bytes, text/plain)
2019-08-08 21:49 UTC, Mircea Kitsune
Details
iwconfig (325 bytes, text/plain)
2019-08-08 21:49 UTC, Mircea Kitsune
Details
sudo systemctl status NetworkManager (2.02 KB, text/plain)
2019-08-08 21:50 UTC, Mircea Kitsune
Details
sudo journalctl -b -t NetworkManager (16.62 KB, text/plain)
2019-08-08 21:50 UTC, Mircea Kitsune
Details
sudo hwinfo --network (1.36 KB, text/plain)
2019-08-09 11:07 UTC, Mircea Kitsune
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mircea Kitsune 2019-08-08 21:47:34 UTC
When starting up, my laptop no longer shows WIFI connections in the network manager widget of the KDE system tray. The WIFI checkbox is there and enabled, the network card is recognized, but there are no connections listed.

The command "iwlist wlan0 scan | grep ESSID" correctly lists all available WIFI connections. However "nmcli dev wifi" does not, which I understand is a sign the network manager is failing to detect them.

Later on I managed to find a workaround: Running "sudo systemctl restart NetworkManager.service" after login causes all the WIFI connections to appear again and the laptop automatically connects to my router successfully. But if I restart the machine, I need to run this command again to get WIFI running.

The issue started after I upgraded to a new version of openSUSE Tumbleweed today, after roughly one week since the last "zypper dup" update.
Comment 1 Mircea Kitsune 2019-08-08 21:49:10 UTC
Created attachment 813401 [details]
ip address
Comment 2 Mircea Kitsune 2019-08-08 21:49:37 UTC
Created attachment 813402 [details]
iwconfig
Comment 3 Mircea Kitsune 2019-08-08 21:50:15 UTC
Created attachment 813403 [details]
sudo systemctl status NetworkManager
Comment 4 Mircea Kitsune 2019-08-08 21:50:32 UTC
Created attachment 813404 [details]
sudo journalctl -b -t NetworkManager
Comment 5 Mircea Kitsune 2019-08-08 21:53:39 UTC
I'm intrigued by the following error message, which directly specifies that Wifi is going to be unavailable:

Aug 08 18:13:39 linux-qugf NetworkManager[1269]: <warn>  [1565277219.8370] supplicant: failed to acquire wpa_supplicant proxy: Wi-Fi and 802.1x will not be available (Error calling StartServiceByName for fi.w1.wpa_supplicant1: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'fi.w1.wpa_supplicant1': timed out (service_start_timeout=25000ms))

I did a forced update of the wpa_supplicant package but this didn't help.
Comment 6 Mircea Kitsune 2019-08-09 01:10:54 UTC
Upon suggestion, I temporarily removed /etc/NetworkManager/system-connections and almost everything from /var/lib/NetworkManager, after running "sudo systemctl stop NetworkManager.service" and ensuring the service was down (the system tray icon disappeared to confirm this). No results after restarting unfortunately, this is probably not an outdated cache issue.
Comment 7 Mircea Kitsune 2019-08-09 11:07:53 UTC
Created attachment 813497 [details]
sudo hwinfo --network
Comment 8 Mircea Kitsune 2019-08-09 11:23:27 UTC
It seems I managed to find a permanent solution, which was pointed out in the early stages of this issue. Funny enough it was the NetworkManager Wait Online service causing it. Likely because WIFI doesn't activate at boot time, and without a LAN cable plugged in the machine doesn't have early internet connectivity thus the service errors out. I disabled it as a boot time optimization after looking it up and seeing that it's useless, but after restarting I noticed all my connections are immediately working again.

sudo systemctl disable NetworkManager-wait-online.service

As that service is pointless on my laptop and I have no reason to re-enable it, I can consider the issue resolved in my case. This still isn't normal behavior and will likely cause headaches to other users, so I'm leaving the discussion open for the team to debug it. I'd suggest booting a machine that's not connected to the internet via any connection that can be immediately detected (eg: cable internet) to get a complaint from NetworkManager Wait Online, then seeing if this causes WIFI connections to be missing after you log in.
Comment 9 Alynx Zhou 2021-10-29 07:51:29 UTC
Maybe Jonathan is interested in this NetworkManager problem so add him in cc list.
Comment 10 Jonathan Kang 2021-11-01 01:45:30 UTC
Hi Mircea

It's been quite some time since you reported this issue. Can you confirm whether
this issue still exists in latest Tumbleweed?

Thanks.
Comment 11 Mircea Kitsune 2021-11-01 02:20:37 UTC
I haven't been using openSUSE for a while. Haven't seen the issue during the course of the past year however. I'm assuming this might have been fixed, though I can't currently provide further testing unfortunately.
Comment 12 Jonathan Kang 2021-11-01 09:07:19 UTC
(In reply to Mircea Kitsune from comment #11)
> I haven't been using openSUSE for a while. Haven't seen the issue during the
> course of the past year however. I'm assuming this might have been fixed,
> though I can't currently provide further testing unfortunately.

A quick look at the information you provided. wpa_supplicant failed to start,
which seems to be the main reason why no wireless connection is enabled on
start-up. But there is no detailed information on wpa_supplicant. Further
debugging becomes impossible.

Based on your feedback and the fact of lacking detailed wpa_supplicant logs,
I'm closing this issue now. Feel free to come back and re-open this issue
if you encounter this problem in the future when using Tumbleweed.

Thanks.